#@ File myfile
run("Bio-Formats Macro Extensions");
setBatchMode("hide");
// create output directory
mdir = File.getDirectory(myfile);
basename = File.getNameWithoutExtension(myfile);
print(basename);
print(mdir);
outdir = mdir + File.separator + "stitch_tif" ;
File.makeDirectory(mdir + File.separator + "stitch_tif" );

// load the files and save the tifs

Ext.setId(myfile);
Ext.getSeriesCount(seriesCount);

for(iserie = 0; iserie < seriesCount; iserie++){
	Ext.setSeries(iserie);
	Ext.openImagePlus(myfile);
	series_index = iserie+1;
	saveAs("Tiff", outdir + File.separator + basename + "_s" + series_index + ".tif");
	run("Close All");
}
